Summary: GNOME Accessibility method
Name: dasher
Version: 3.2.11
Release: 5
License: GPL
Group: Desktop/Accessibility
URL: http://www.gnome.org/
Source0: %{name}-%{version}.tar.bz2
# This source exists only until dasher fixes its tarball
Source1: dasher.schemas
Patch: dasher-3.2.11-nocrash.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gnome-speech-devel
BuildRequires: at-spi-devel
BuildRequires: libgnomeui-devel
Requires: gnome-speech

%description
Accessibility input method
 
%prep
%setup -q
%patch -p1 -b .nocrash

# Make the build happy
cp %{SOURCE1} Data/

%build

%ifarch x86_64 ia64 s390x ppc64
%configure --x-libraries=/usr/X11R6/lib64
%else
%configure
%endif

make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/gconf/schemas/
install -m 644 Data/dasher.schemas $RPM_BUILD_ROOT/%{_sysconfdir}/gconf/schemas/

unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category Utility	                            \
  $RPM_BUILD_ROOT%{_datadir}/applications/dasher.desktop

%find_lang %{name}

rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

%post
/usr/bin/scrollkeeper-update
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="dasher.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%postun
/usr/bin/scrollkeeper-update

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc
%{_datadir}/dasher/
%{_datadir}/gnome/help/dasher
%{_datadir}/icons/dasher.png
%{_datadir}/omf/dasher/dasher-C.omf
%{_datadir}/applications/gnome-dasher.desktop
%{_bindir}/dasher
%{_mandir}/*/dasher.1.gz
%{_sysconfdir}/gconf/schemas/dasher.schemas

%changelog
* Mon Nov 15 2004  <jrb@redhat.com> - 3.2.11-5
- don't crash when there are no voice servers, #137928

* Mon Oct  4 2004 GNOME <jrb@redhat.com> - 3.2.11-4
- install schemas file by hand

* Wed Sep 22 2004 Bill Nottingham <notting@redhat.com>
- fix typo (#133058)

* Tue Sep 14 2004 GNOME <jrb@redhat.com> - 3.2.11-3
- fix schemas file and crasher.

* Tue Aug 31 2004 Jonathan Blandford <jrb@redhat.com> 3.2.11-2
- add lib64 to search libs.

* Mon Aug 30 2004 Jonathan Blandford <jrb@redhat.com> 
- Initial build.


